DeviceConfiguration

com.rscja.deviceapi

## Class DeviceConfiguration

- java.lang.Object
- - com.rscja.deviceapi.DeviceConfiguration

-     public class DeviceConfiguration
      extends java.lang.Object

  设备参数配置类
  Device parameter config type
  Author:
    liuruifeng

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `C4000_6577`
    `static java.lang.String` | `C4000_6582`
    `static java.lang.String` | `C4050_6582`
    `static java.lang.String` | `C4050_8909`
    `static java.lang.String` | `C6000_6735`
    `static java.lang.String` | `C6000_8909`
    `static java.lang.String` | `C70_6735`
    `static java.lang.String` | `C72_6735`
    `static java.lang.String` | `C76_6735`
    `static java.lang.String` | `H100_6735`
    `static java.lang.String` | `H100_8953`
    `static java.lang.String` | `P80_8953`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceConfiguration` | `builder1DConfiguration()` 创建一维条码配置信息 Create 1D barcode config infor.
    `static DeviceConfiguration` | `builder2DConfiguration()` 创建二维条码配置信息 Create 2D barcode config infor.
    `static DeviceConfiguration` | `builderBDConfiguration()` 创建北斗配置信息 Create Beidou config infor.
    `static DeviceConfiguration` | `builderDefaultConfiguration()`
    `static DeviceConfiguration` | `builderFingerprintConfiguration()` 创建Fingerprint配置信息 Create Fingerprint config infor.
    `static DeviceConfiguration` | `builderInfraredConfiguration()` 创建红外配置信息 Create infrared config infor.
    `static DeviceConfiguration` | `builderLFConfiguration()` 创建低频配置信息 Create LF config infor.
    `static DeviceConfiguration` | `builderPrinterConfiguration()` 创建打印机配置信息 Create printer config infor.
    `static DeviceConfiguration` | `builderRFIDConfiguration()` 创建RFID配置信息 Create RFID config infor.
    `static DeviceConfiguration` | `builderUHFConfiguration()` 创建UHF配置信息 Create UHF config infor.
    `int` | `getBaudrate()` 获取波特率 Acquire baud rate
    `java.lang.String` | `getDeviceName()` 获取设备名 Acquire device name
    `static java.lang.String` | `getModel()` 获取设备型号 Acquire device model NO.
    `java.lang.String` | `getUart()` 获取串口路径 Acquire serial port directory
    `void` | `setBaudrate(int baudrate)` 设置波特率 Setup baudrate
    `void` | `setDeviceName(java.lang.String deviceName)` 设置设备名 Setup device name
    `void` | `setUart(java.lang.String uart)` 设置串口路径 Setup serial port directory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### C6000_6735

          public static java.lang.String C6000_6735

    - #### H100_6735

          public static java.lang.String H100_6735

    - #### C70_6735

          public static java.lang.String C70_6735

    - #### C72_6735

          public static java.lang.String C72_6735

    - #### C76_6735

          public static java.lang.String C76_6735

    - #### C6000_8909

          public static java.lang.String C6000_8909

    - #### C4050_8909

          public static java.lang.String C4050_8909

    - #### C4000_6582

          public static java.lang.String C4000_6582

    - #### C4050_6582

          public static java.lang.String C4050_6582

    - #### C4000_6577

          public static java.lang.String C4000_6577

    - #### P80_8953

          public static final java.lang.String P80_8953

      See Also:
        Constant Field Values

    - #### H100_8953

          public static final java.lang.String H100_8953

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getModel

          public static java.lang.String getModel()

      获取设备型号
      Acquire device model NO.
      Returns:

    - #### builder1DConfiguration

          public static DeviceConfiguration builder1DConfiguration()
                                                            throws ConfigurationException

      创建一维条码配置信息
      Create 1D barcode config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builder2DConfiguration

          public static DeviceConfiguration builder2DConfiguration()
                                                            throws ConfigurationException

      创建二维条码配置信息
      Create 2D barcode config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderRFIDConfiguration

          public static DeviceConfiguration builderRFIDConfiguration()
                                                              throws ConfigurationException

      创建RFID配置信息
      Create RFID config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderUHFConfiguration

          public static DeviceConfiguration builderUHFConfiguration()
                                                             throws ConfigurationException

      创建UHF配置信息
      Create UHF config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderPrinterConfiguration

          public static DeviceConfiguration builderPrinterConfiguration()
                                                                 throws ConfigurationException

      创建打印机配置信息
      Create printer config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderFingerprintConfiguration

          public static DeviceConfiguration builderFingerprintConfiguration()
                                                                     throws ConfigurationException

      创建Fingerprint配置信息
      Create Fingerprint config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderLFConfiguration

          public static DeviceConfiguration builderLFConfiguration()
                                                            throws ConfigurationException

      创建低频配置信息
      Create LF config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderBDConfiguration

          public static DeviceConfiguration builderBDConfiguration()
                                                            throws ConfigurationException

      创建北斗配置信息
      Create Beidou config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderInfraredConfiguration

          public static DeviceConfiguration builderInfraredConfiguration()
                                                                  throws ConfigurationException

      创建红外配置信息
      Create infrared config infor.
      Returns:
      Throws:
        `ConfigurationException`

    - #### builderDefaultConfiguration

          public static DeviceConfiguration builderDefaultConfiguration()
                                                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### setDeviceName

          public void setDeviceName(java.lang.String deviceName)

      设置设备名
      Setup device name
      Parameters:
        `deviceName` - 设备名，如："C4000"
        Device name, e.g.: C4000.

    - #### setUart

          public void setUart(java.lang.String uart)

      设置串口路径
      Setup serial port directory.
      Parameters:
        `uart` - 串口路径，如："/dev/ttyMT3"
        Serial port directory, e.g.: '/dev/ttyMT3'

    - #### setBaudrate

          public void setBaudrate(int baudrate)

      设置波特率
      Setup baudrate
      Parameters:
        `baudrate` - 波特率，如：9600
        Baud rate, e.g.:9600

    - #### getDeviceName

          public java.lang.String getDeviceName()

      获取设备名
      Acquire device name
      Returns:
        设备名

    - #### getUart

          public java.lang.String getUart()

      获取串口路径
      Acquire serial port directory
      Returns:
        串口路径

    - #### getBaudrate

          public int getBaudrate()

      获取波特率
      Acquire baud rate
      Returns:
        波特率